%define name 	ifhp
%define version 3.3.21
%define release 1mdk

Summary: 	ifhp Print Filter
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		System/Configuration/Printing
Copyright: 	GPL and Artistic
URL: 		http://www.astart.com/LPRng.html
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		ifhp-3.3.20-glibc22.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
The ifhp print filter is the main print filter for the LPRng
print spooler.  It has support for PCL, PostScript, PJL,
and text printers,  as well as a flexible configuration system
that allows it to be configured to handle a wide variety of
unusual or legacy printers.

%prep
%setup
%patch0 -p1 -b .glibc22


%build
%configure \
	--enable-nls \
	--without-included-gettext \
	--with-filterdir=%{_prefix}/libexec/filters


%__make INSTALL_PREFIX=$RPM_BUILD_ROOT PACKAGE=YES


%install
rm -rf $RPM_BUILD_ROOT

%__make install INSTALL_PREFIX=$RPM_BUILD_ROOT PACKAGE=YES

rm -f UTILS/*.in


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES Copyright INSTALL LICENSE 
%doc README* VERSION 
%doc HOWTO/*.html UTILS
%config(noreplace) %{_sysconfdir}/ifhp.conf*
%{_prefix}/libexec/filters/ifhp
%{_prefix}/libexec/filters/textps
%{_prefix}/libexec/filters/wrapper
%{_mandir}/man8/ifhp.8*
%{_mandir}/man8/textps.8*

%changelog
* Mon Aug 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.3.21-1mdk
- new in contribs
- used srpm from Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- new release



